lent = Dict{String, Array{String}}(
    "Dan" => [], 
    "Richard" => ["Book: Ender's Game", "2 dollars"], 
    "Craig" => ["Calculator"])
while true
    print("命令を入力してください " * 
    "(takeback=返す/give=貸す/newfriend=友人を追加/quit=終了)? ")
    user_action = readline()
    if user_action == "quit"
        break
    end
    if user_action == "takeback"                    # T
        println("友人を表示します．")
        for friend in keys(lent)
            println(friend)
        end
        print("どの友人から返してもらいますか? ")
        friend_name = readline()
        if !(friend_name in keys(lent))
            println("入力された友人は見つかりませんでした．")
            continue
        else
            if length(lent[friend_name]) == 0
                println("$(friend_name)さんには何も貸していません．")
                continue
            end
            println("$(friend_name)さんに貸した物品を表示します")
            for item in lent[friend_name]
                println(item)
            end
            print("$(friend_name)さんが返した物品を入力してください? ")
            item_name = readline()
            item_index = findall(x -> x == item_name, lent[friend_name])
            if length(item_index) == 0
                println("その物品は貸していません．")
                continue
            else
                item_index = item_index[1]
                deleteat!(lent[friend_name], item_index)
                println("$(item_name)を $(friend_name)さんから返してもらいました．")
            end
        end
    elseif user_action == "give"                    # G
        println("友人を表示します．")
        for friend in keys(lent)
            println(friend)
        end
        print("どの友人に貸しますか? ")
        friend_name = readline()
        if !(friend_name in keys(lent))
            println("その友人は見つかりませんでした．")
            continue
        else
            print("$(friend_name)さんに貸す物品を入力してください? ")
            item_name = readline()
            push!(lent[friend_name], item_name)
            println("$(item_name)を $(friend_name)さんに貸します．")
        end
    elseif user_action == "newfriend"               # N
        print("新しい友人の名前を入力してください? ")
        friend_name = readline()
        lent[friend_name] = []
    else
        println("命令が見つかりません．" * 
        "正しい命令は 'newfriend', 'takeback', 'give', 'quit' です．")
    end
end
println("さようなら．")
