function list_of_inputs(
    title::String, prompt::String;
    minimum = nothing, maximum = nothing)::Array{String}
    println(title)
    input_list::Array{String} = []
    while true
        print(prompt)
        user_input = readline()
        if user_input == "done"
            if minimum != nothing                   # A1
                if length(input_list) < minimum     # A2
                    println("$(minimum)以上の要素が必要です")
                    continue
                else
                    break
                end
            else
                break                               # A3
            end
        end
        if maximum != nothing
            if length(user_input) == maximum
                break
            end
        end
        push!(input_list, user_input)
    end
    return input_list
end
best_friends = list_of_inputs(
    "親友を入力して下さい", "名前: ", maximum = 2)
friends = list_of_inputs(
    "友人を入力して下さい", "名前: ", minimum = 1)
not_friends = list_of_inputs(
    "知人を入力して下さい", "名前: ")
println(best_friends)
println(friends)
println(not_friends)
