using Metalhead: VGG19, preprocess, load, labels
using Flux: onecold
model = VGG19()
class_labels = labels(model)
print("ファイル名: ")
user_image = preprocess(load(readline()))
model_prediction = model(user_image)
top_class = onecold(model_prediction)[1]
class_name = class_labels[top_class]
println("この画像が含むのは: $(class_name)")
