classic_triangle_area(;base, height) = (base * height) / 2

function herons_formula_triangle_area(;
    bc::Float64, ac::Float64, ab::Float64)::Float64
    sp = (bc + ac + ab) / 2
    return sqrt(sp * (sp - bc) * (sp - ac) * (sp - ab))
end

print("どちらの公式を使いますか (classic, herons)? ")
area_method = readline()
if area_method == "classic"
    print("底辺: ")
    base = parse(Float64, readline())
    print("高さ: ")
    height = parse(Float64, readline())
    println("三角形の面積= " * 
        "$(classic_triangle_area(base=base, height=height))")
elseif area_method == "herons"
    print("角aを臨む辺の長さ: ")
    a = parse(Float64, readline())
    print("角bを臨む辺の長さ: ")
    b = parse(Float64, readline())
    print("角cを臨む辺の長さ: ")
    c = parse(Float64, readline())
    println("三角形の面積= " * 
        "$(herons_formula_triangle_area(ab=a, bc=b, ac=c))")
end
