using PyCall
function factorial_jl(x::Int64)::Int64
    if x == 1
        return 1
    end
    return x * factorial_jl(x - 1)
end

py"""
def factorial_py(x):
    if x == 1:
        return 1
    return x * factorial_py(x-1)
"""
factorial_py(x)=py"factorial_py"(x)
println("Juliaで計算した階乗の値= $(factorial_jl(7))")
println("Pythonで計算した階乗の値= $(factorial_py(7))")