print("文字をずらすオフセット数: ")
offset = parse(Int64, readline())
letters = [" "]
append!(letters, string.(collect('a':'z')))
user_input = rstrip(read(open("document.txt"), String))
input_characters = string.(split(user_input, ""))
character_indices = map(x -> findfirst(y -> y == x, letters), input_characters)
function determine_new_index(x)
    x += offset                         # A
    if x <= length(letters) && x >= 1   # B
        return x
    end
    if x > length(letters)              # C
        return x - length(letters)
    end
    if x < 1                            # D
        return x + length(letters)
    end
end
index_validity(x) = (x <= length(letters) && x >= 1) ?  
    x : ((x > length(letters)) ?
    x - length(letters) : ((x < 1) ?
    x + length(letters) : 0))
determine_new_index(x) = index_validity(x + offset)
character_indices = determine_new_index.(character_indices)
new_characters = map(x -> letters[x], character_indices)
new_string = join(new_characters, "")
encrypted_file = open("encrypted_document.txt", "w")
write(encrypted_file, new_string)
close(encrypted_file)
